Loading...
Searching...
No Matches
gx_system::CmdlineOptions Class Reference

`#include <gx_system.h>`

Inheritance diagram for gx_system::CmdlineOptions:

## Public Member Functions

void | read_ui_vars ()
void | write_ui_vars ()
| CmdlineOptions ()
| ~CmdlineOptions ()
void | process (int argc, char **argv)
const std::string & | get_path_to_program () const
std::string | get_style_filepath (const std::string &basename) const
std::string | get_current_style_cssfile () const
std::string | get_pixmap_filepath (const std::string &basename) const
std::string | get_preset_filepath (const std::string &basename) const
std::string | get_plugin_filepath (const std::string &basename) const
std::string | get_factory_filepath (const std::string &basename) const
std::string | get_temp_filepath (const std::string &basename) const
std::string | get_pluginpreset_filepath (const std::string &id, bool factory) const
std::string | get_lv2_preset_filepath (const std::string &id) const
const std::string & | get_old_user_dir () const
const std::string & | get_plugin_dir () const
const std::string & | get_preset_dir () const
const std::string & | get_pluginpreset_dir () const
const std::string & | get_lv2_preset_dir () const
const std::string & | get_loop_dir () const
const std::string & | get_temp_dir () const
void | set_plugin_dir (std::string dir)
void | set_preset_dir (std::string dir)
void | set_pluginpreset_dir (std::string dir)
void | set_lv2_preset_dir (std::string dir)
void | set_loop_dir (std::string dir)
void | set_temp_dir (std::string dir)
const std::string & | get_factory_dir () const
const std::string & | get_style_dir () const
std::string | get_ladspa_config_filename () const
std::string | get_online_config_filename () const
std::string | get_online_presets_filename () const
const Glib::ustring & | get_rcset () const
bool | get_clear_rc () const
bool | get_nogui () const
bool | get_liveplaygui () const
bool | get_hideonquit () const
void | set_hideonquit (bool set)
bool | get_mute () const
const Glib::ustring & | get_setbank ()
void | set_bank_preset (const Glib::ustring &bank, const Glib::ustring &preset)
const Glib::ustring & | get_cmdline_bank ()
const Glib::ustring & | get_cmdline_preset ()
const Glib::ustring & | get_tuner_tet ()
const Glib::ustring & | get_tuner_ref ()
int | get_rpcport () const
void | set_rpcport (int port)
const Glib::ustring & | get_rpcaddress ()
void | set_rpcaddress (const Glib::ustring &address)
const std::string & | get_loadfile () const
const Glib::ustring & | get_jack_instancename () const
void | set_jack_instancename (std::string name)
const Glib::ustring & | get_jack_uuid () const
const Glib::ustring & | get_jack_uuid2 () const
const Glib::ustring & | get_jack_midi () const
const Glib::ustring & | get_jack_input () const
const Glib::ustring & | get_jack_servername () const
bool | get_jack_noconnect () const
bool | get_jack_single () const
void | set_jack_noconnect (bool set)
void | set_jack_single (bool set)
bool | get_opt_save_on_exit () const
bool | get_opt_autosave () const
void | set_opt_autosave (bool set)
Glib::ustring | get_jack_output (unsigned int n) const
int | get_idle_thread_timeout () const
int | get_sporadic_overload () const
bool | get_xrun_watchdog () const
bool | get_convolver_watchdog () const
bool | get_watchdog_warning () const
Public Member Functions inherited from gx_system::BasicOptions
| BasicOptions ()
| ~BasicOptions ()
std::string | get_user_filepath (const std::string &basename) const
std::string | get_user_ir_filepath (const std::string &basename) const
std::string | get_builder_filepath (const std::string &basename) const
void | set_user_dir (std::string dir)
void | set_user_IR_dir (std::string dir)
const std::string & | get_user_dir () const
const std::string & | get_user_IR_dir () const
const std::string & | get_sys_IR_dir () const
const PathList & | get_IR_pathlist () const
const PrefixConverter & | get_IR_prefixmap () const

## Public Attributes

bool | dump_parameter
SkinHandling | skin
int | mainwin_visible
int | mainwin_x
int | mainwin_y
int | mainwin_height
int | window_height
int | preset_window_height
int | mul_buffer
bool | no_warn_latency
bool | system_order_rack_h
bool | system_show_value
bool | system_show_tooltips
bool | system_animations
bool | system_show_presets
bool | system_show_toolbar
bool | system_show_rack
bool | system_midiout
bool | system_tuner_midiout
bool | reload_lv2_presets

## Private Member Functions

std::string | get_opskin ()

## Private Attributes

Glib::OptionGroup | main_group
Glib::OptionGroup | optgroup_style
Glib::OptionGroup | optgroup_jack
Glib::OptionGroup | optgroup_overload
Glib::OptionGroup | optgroup_file
Glib::OptionGroup | optgroup_debug
std::string | path_to_program
bool | version
bool | clear
Glib::ustring | jack_input
Glib::ustring | jack_midi
Glib::ustring | jack_instance
std::vector< Glib::ustring > | jack_outputs
Glib::ustring | jack_uuid
Glib::ustring | jack_uuid2
bool | jack_noconnect
bool | jack_single
Glib::ustring | jack_servername
std::string | load_file
std::string | style_dir
std::string | factory_dir
std::string | pixmap_dir
std::string | old_user_dir
std::string | preset_dir
std::string | pluginpreset_dir
std::string | lv2_preset_dir
std::string | temp_dir
std::string | plugin_dir
std::string | loop_dir
Glib::ustring | rcset
bool | nogui
int | rpcport
Glib::ustring | rpcaddress
bool | onlygui
bool | liveplaygui
bool | hideonquit
bool | mute
Glib::ustring | setbank
Glib::ustring | cmdline_bank
Glib::ustring | cmdline_preset
Glib::ustring | tuner_tet
Glib::ustring | tuner_ref
int | sporadic_overload
int | idle_thread_timeout
bool | convolver_watchdog
bool | watchdog_warning
bool | xrun_watchdog
bool | lterminal
bool | a_save
bool | auto_save

## Additional Inherited Members

Static Protected Member Functions inherited from gx_system::BasicOptions
static void | make_ending_slash (std::string &dirpath)
Protected Attributes inherited from gx_system::BasicOptions
std::string | builder_dir

## Detailed Description

Definition at line 395 of file gx_system.h.

## Constructor & Destructor Documentation

## CmdlineOptions()

gx_system::CmdlineOptions::CmdlineOptions | ( |  | ) |

## ~CmdlineOptions()

gx_system::CmdlineOptions::~CmdlineOptions | ( |  | ) |

## Member Function Documentation

## get_clear_rc()

bool gx_system::CmdlineOptions::get_clear_rc | ( |  | ) | const

inline

Definition at line 518 of file gx_system.h.

## get_cmdline_bank()

const Glib::ustring & gx_system::CmdlineOptions::get_cmdline_bank | ( |  | ) |

inline

Definition at line 527 of file gx_system.h.

## get_cmdline_preset()

const Glib::ustring & gx_system::CmdlineOptions::get_cmdline_preset | ( |  | ) |

inline

Definition at line 528 of file gx_system.h.

## get_convolver_watchdog()

bool gx_system::CmdlineOptions::get_convolver_watchdog | ( |  | ) | const

inline

Definition at line 554 of file gx_system.h.

## get_current_style_cssfile()

std::string gx_system::CmdlineOptions::get_current_style_cssfile | ( |  | ) | const

inline

Definition at line 487 of file gx_system.h.

## get_factory_dir()

const std::string & gx_system::CmdlineOptions::get_factory_dir | ( |  | ) | const

inline

Definition at line 512 of file gx_system.h.

## get_factory_filepath()

std::string gx_system::CmdlineOptions::get_factory_filepath | ( | const std::string & | basename | ) | const

inline

Definition at line 491 of file gx_system.h.

## get_hideonquit()

bool gx_system::CmdlineOptions::get_hideonquit | ( |  | ) | const

inline

Definition at line 521 of file gx_system.h.

## get_idle_thread_timeout()

int gx_system::CmdlineOptions::get_idle_thread_timeout | ( |  | ) | const

inline

Definition at line 551 of file gx_system.h.

## get_jack_input()

const Glib::ustring & gx_system::CmdlineOptions::get_jack_input | ( |  | ) | const

inline

Definition at line 541 of file gx_system.h.

## get_jack_instancename()

const Glib::ustring & gx_system::CmdlineOptions::get_jack_instancename | ( |  | ) | const

inline

Definition at line 536 of file gx_system.h.

## get_jack_midi()

const Glib::ustring & gx_system::CmdlineOptions::get_jack_midi | ( |  | ) | const

inline

Definition at line 540 of file gx_system.h.

## get_jack_noconnect()

bool gx_system::CmdlineOptions::get_jack_noconnect | ( |  | ) | const

inline

Definition at line 543 of file gx_system.h.

## get_jack_output()

Glib::ustring gx_system::CmdlineOptions::get_jack_output | ( | unsigned int | n | ) | const

## get_jack_servername()

const Glib::ustring & gx_system::CmdlineOptions::get_jack_servername | ( |  | ) | const

inline

Definition at line 542 of file gx_system.h.

## get_jack_single()

bool gx_system::CmdlineOptions::get_jack_single | ( |  | ) | const

inline

Definition at line 544 of file gx_system.h.

## get_jack_uuid()

const Glib::ustring & gx_system::CmdlineOptions::get_jack_uuid | ( |  | ) | const

inline

Definition at line 538 of file gx_system.h.

## get_jack_uuid2()

const Glib::ustring & gx_system::CmdlineOptions::get_jack_uuid2 | ( |  | ) | const

inline

Definition at line 539 of file gx_system.h.

## get_ladspa_config_filename()

std::string gx_system::CmdlineOptions::get_ladspa_config_filename | ( |  | ) | const

inline

Definition at line 514 of file gx_system.h.

## get_liveplaygui()

bool gx_system::CmdlineOptions::get_liveplaygui | ( |  | ) | const

inline

Definition at line 520 of file gx_system.h.

## get_loadfile()

const std::string & gx_system::CmdlineOptions::get_loadfile | ( |  | ) | const

inline

Definition at line 535 of file gx_system.h.

## get_loop_dir()

const std::string & gx_system::CmdlineOptions::get_loop_dir | ( |  | ) | const

inline

Definition at line 502 of file gx_system.h.

## get_lv2_preset_dir()

const std::string & gx_system::CmdlineOptions::get_lv2_preset_dir | ( |  | ) | const

inline

Definition at line 501 of file gx_system.h.

## get_lv2_preset_filepath()

std::string gx_system::CmdlineOptions::get_lv2_preset_filepath | ( | const std::string & | id | ) | const

inline

Definition at line 495 of file gx_system.h.

## get_mute()

bool gx_system::CmdlineOptions::get_mute | ( |  | ) | const

inline

Definition at line 523 of file gx_system.h.

## get_nogui()

bool gx_system::CmdlineOptions::get_nogui | ( |  | ) | const

inline

Definition at line 519 of file gx_system.h.

## get_old_user_dir()

const std::string & gx_system::CmdlineOptions::get_old_user_dir | ( |  | ) | const

inline

Definition at line 497 of file gx_system.h.

## get_online_config_filename()

std::string gx_system::CmdlineOptions::get_online_config_filename | ( |  | ) | const

inline

Definition at line 515 of file gx_system.h.

## get_online_presets_filename()

std::string gx_system::CmdlineOptions::get_online_presets_filename | ( |  | ) | const

inline

Definition at line 516 of file gx_system.h.

## get_opskin()

std::string gx_system::CmdlineOptions::get_opskin | ( |  | ) |

private

## get_opt_autosave()

bool gx_system::CmdlineOptions::get_opt_autosave | ( |  | ) | const

inline

Definition at line 548 of file gx_system.h.

## get_opt_save_on_exit()

bool gx_system::CmdlineOptions::get_opt_save_on_exit | ( |  | ) | const

inline

Definition at line 547 of file gx_system.h.

## get_path_to_program()

const std::string & gx_system::CmdlineOptions::get_path_to_program | ( |  | ) | const

inline

Definition at line 485 of file gx_system.h.

## get_pixmap_filepath()

std::string gx_system::CmdlineOptions::get_pixmap_filepath | ( | const std::string & | basename | ) | const

inline

Definition at line 488 of file gx_system.h.

## get_plugin_dir()

const std::string & gx_system::CmdlineOptions::get_plugin_dir | ( |  | ) | const

inline

Definition at line 498 of file gx_system.h.

## get_plugin_filepath()

std::string gx_system::CmdlineOptions::get_plugin_filepath | ( | const std::string & | basename | ) | const

inline

Definition at line 490 of file gx_system.h.

## get_pluginpreset_dir()

const std::string & gx_system::CmdlineOptions::get_pluginpreset_dir | ( |  | ) | const

inline

Definition at line 500 of file gx_system.h.

## get_pluginpreset_filepath()

std::string gx_system::CmdlineOptions::get_pluginpreset_filepath | ( | const std::string & | id,
|  | bool | factory ) const

inline

Definition at line 493 of file gx_system.h.

## get_preset_dir()

const std::string & gx_system::CmdlineOptions::get_preset_dir | ( |  | ) | const

inline

Definition at line 499 of file gx_system.h.

## get_preset_filepath()

std::string gx_system::CmdlineOptions::get_preset_filepath | ( | const std::string & | basename | ) | const

inline

Definition at line 489 of file gx_system.h.

## get_rcset()

const Glib::ustring & gx_system::CmdlineOptions::get_rcset | ( |  | ) | const

inline

Definition at line 517 of file gx_system.h.

## get_rpcaddress()

const Glib::ustring & gx_system::CmdlineOptions::get_rpcaddress | ( |  | ) |

inline

Definition at line 533 of file gx_system.h.

## get_rpcport()

int gx_system::CmdlineOptions::get_rpcport | ( |  | ) | const

inline

Definition at line 531 of file gx_system.h.

## get_setbank()

const Glib::ustring & gx_system::CmdlineOptions::get_setbank | ( |  | ) |

inline

Definition at line 524 of file gx_system.h.

## get_sporadic_overload()

int gx_system::CmdlineOptions::get_sporadic_overload | ( |  | ) | const

inline

Definition at line 552 of file gx_system.h.

## get_style_dir()

const std::string & gx_system::CmdlineOptions::get_style_dir | ( |  | ) | const

inline

Definition at line 513 of file gx_system.h.

## get_style_filepath()

std::string gx_system::CmdlineOptions::get_style_filepath | ( | const std::string & | basename | ) | const

inline

Definition at line 486 of file gx_system.h.

Referenced by get_current_style_cssfile().

## get_temp_dir()

const std::string & gx_system::CmdlineOptions::get_temp_dir | ( |  | ) | const

inline

Definition at line 503 of file gx_system.h.

## get_temp_filepath()

std::string gx_system::CmdlineOptions::get_temp_filepath | ( | const std::string & | basename | ) | const

inline

Definition at line 492 of file gx_system.h.

## get_tuner_ref()

const Glib::ustring & gx_system::CmdlineOptions::get_tuner_ref | ( |  | ) |

inline

Definition at line 530 of file gx_system.h.

## get_tuner_tet()

const Glib::ustring & gx_system::CmdlineOptions::get_tuner_tet | ( |  | ) |

inline

Definition at line 529 of file gx_system.h.

## get_watchdog_warning()

bool gx_system::CmdlineOptions::get_watchdog_warning | ( |  | ) | const

inline

Definition at line 555 of file gx_system.h.

## get_xrun_watchdog()

bool gx_system::CmdlineOptions::get_xrun_watchdog | ( |  | ) | const

inline

Definition at line 553 of file gx_system.h.

## process()

void gx_system::CmdlineOptions::process | ( | int | argc,
|  | char ** | argv )

## read_ui_vars()

void gx_system::CmdlineOptions::read_ui_vars | ( |  | ) |

## set_bank_preset()

void gx_system::CmdlineOptions::set_bank_preset | ( | const Glib::ustring & | bank,
|  | const Glib::ustring & | preset )

inline

Definition at line 525 of file gx_system.h.

## set_hideonquit()

void gx_system::CmdlineOptions::set_hideonquit | ( | bool | set | ) |

inline

Definition at line 522 of file gx_system.h.

## set_jack_instancename()

void gx_system::CmdlineOptions::set_jack_instancename | ( | std::string | name | ) |

inline

Definition at line 537 of file gx_system.h.

## set_jack_noconnect()

void gx_system::CmdlineOptions::set_jack_noconnect | ( | bool | set | ) |

inline

Definition at line 545 of file gx_system.h.

## set_jack_single()

void gx_system::CmdlineOptions::set_jack_single | ( | bool | set | ) |

inline

Definition at line 546 of file gx_system.h.

## set_loop_dir()

void gx_system::CmdlineOptions::set_loop_dir | ( | std::string | dir | ) |

inline

Definition at line 509 of file gx_system.h.

## set_lv2_preset_dir()

void gx_system::CmdlineOptions::set_lv2_preset_dir | ( | std::string | dir | ) |

inline

Definition at line 508 of file gx_system.h.

## set_opt_autosave()

void gx_system::CmdlineOptions::set_opt_autosave | ( | bool | set | ) |

inline

Definition at line 549 of file gx_system.h.

## set_plugin_dir()

void gx_system::CmdlineOptions::set_plugin_dir | ( | std::string | dir | ) |

inline

Definition at line 505 of file gx_system.h.

## set_pluginpreset_dir()

void gx_system::CmdlineOptions::set_pluginpreset_dir | ( | std::string | dir | ) |

inline

Definition at line 507 of file gx_system.h.

## set_preset_dir()

void gx_system::CmdlineOptions::set_preset_dir | ( | std::string | dir | ) |

inline

Definition at line 506 of file gx_system.h.

## set_rpcaddress()

void gx_system::CmdlineOptions::set_rpcaddress | ( | const Glib::ustring & | address | ) |

inline

Definition at line 534 of file gx_system.h.

## set_rpcport()

void gx_system::CmdlineOptions::set_rpcport | ( | int | port | ) |

inline

Definition at line 532 of file gx_system.h.

## set_temp_dir()

void gx_system::CmdlineOptions::set_temp_dir | ( | std::string | dir | ) |

inline

Definition at line 510 of file gx_system.h.

## write_ui_vars()

void gx_system::CmdlineOptions::write_ui_vars | ( |  | ) |

## Member Data Documentation

## a_save

bool gx_system::CmdlineOptions::a_save

private

Definition at line 445 of file gx_system.h.

Referenced by get_opt_save_on_exit().

## auto_save

bool gx_system::CmdlineOptions::auto_save

private

Definition at line 446 of file gx_system.h.

Referenced by get_opt_autosave(), and set_opt_autosave().

## clear

bool gx_system::CmdlineOptions::clear

private

Definition at line 405 of file gx_system.h.

Referenced by get_clear_rc().

## cmdline_bank

Glib::ustring gx_system::CmdlineOptions::cmdline_bank

private

Definition at line 435 of file gx_system.h.

Referenced by get_cmdline_bank(), and set_bank_preset().

## cmdline_preset

Glib::ustring gx_system::CmdlineOptions::cmdline_preset

private

Definition at line 436 of file gx_system.h.

Referenced by get_cmdline_preset(), and set_bank_preset().

## convolver_watchdog

bool gx_system::CmdlineOptions::convolver_watchdog

private

Definition at line 441 of file gx_system.h.

Referenced by get_convolver_watchdog().

## dump_parameter

bool gx_system::CmdlineOptions::dump_parameter

Definition at line 451 of file gx_system.h.

## factory_dir

std::string gx_system::CmdlineOptions::factory_dir

private

Definition at line 417 of file gx_system.h.

Referenced by get_factory_dir(), get_factory_filepath(), and get_pluginpreset_filepath().

## hideonquit

bool gx_system::CmdlineOptions::hideonquit

private

Definition at line 432 of file gx_system.h.

Referenced by get_hideonquit(), and set_hideonquit().

## idle_thread_timeout

int gx_system::CmdlineOptions::idle_thread_timeout

private

Definition at line 440 of file gx_system.h.

Referenced by get_idle_thread_timeout().

## jack_input

Glib::ustring gx_system::CmdlineOptions::jack_input

private

Definition at line 406 of file gx_system.h.

Referenced by get_jack_input().

## jack_instance

Glib::ustring gx_system::CmdlineOptions::jack_instance

private

Definition at line 408 of file gx_system.h.

Referenced by get_jack_instancename(), and set_jack_instancename().

## jack_midi

Glib::ustring gx_system::CmdlineOptions::jack_midi

private

Definition at line 407 of file gx_system.h.

Referenced by get_jack_midi().

## jack_noconnect

bool gx_system::CmdlineOptions::jack_noconnect

private

Definition at line 412 of file gx_system.h.

Referenced by get_jack_noconnect(), and set_jack_noconnect().

## jack_outputs

std::vector<Glib::ustring> gx_system::CmdlineOptions::jack_outputs

private

Definition at line 409 of file gx_system.h.

## jack_servername

Glib::ustring gx_system::CmdlineOptions::jack_servername

private

Definition at line 414 of file gx_system.h.

Referenced by get_jack_servername().

## jack_single

bool gx_system::CmdlineOptions::jack_single

private

Definition at line 413 of file gx_system.h.

Referenced by get_jack_single(), and set_jack_single().

## jack_uuid

Glib::ustring gx_system::CmdlineOptions::jack_uuid

private

Definition at line 410 of file gx_system.h.

Referenced by get_jack_uuid().

## jack_uuid2

Glib::ustring gx_system::CmdlineOptions::jack_uuid2

private

Definition at line 411 of file gx_system.h.

Referenced by get_jack_uuid2().

## liveplaygui

bool gx_system::CmdlineOptions::liveplaygui

private

Definition at line 431 of file gx_system.h.

Referenced by get_liveplaygui().

## load_file

std::string gx_system::CmdlineOptions::load_file

private

Definition at line 415 of file gx_system.h.

Referenced by get_loadfile().

## loop_dir

std::string gx_system::CmdlineOptions::loop_dir

private

Definition at line 425 of file gx_system.h.

Referenced by get_loop_dir(), and set_loop_dir().

## lterminal

bool gx_system::CmdlineOptions::lterminal

private

Definition at line 444 of file gx_system.h.

## lv2_preset_dir

std::string gx_system::CmdlineOptions::lv2_preset_dir

private

Definition at line 422 of file gx_system.h.

Referenced by get_lv2_preset_dir(), get_lv2_preset_filepath(), and set_lv2_preset_dir().

## main_group

Glib::OptionGroup gx_system::CmdlineOptions::main_group

private

Definition at line 397 of file gx_system.h.

## mainwin_height

int gx_system::CmdlineOptions::mainwin_height

Definition at line 461 of file gx_system.h.

## mainwin_visible

int gx_system::CmdlineOptions::mainwin_visible

Definition at line 458 of file gx_system.h.

## mainwin_x

int gx_system::CmdlineOptions::mainwin_x

Definition at line 459 of file gx_system.h.

## mainwin_y

int gx_system::CmdlineOptions::mainwin_y

Definition at line 460 of file gx_system.h.

## mul_buffer

int gx_system::CmdlineOptions::mul_buffer

Definition at line 464 of file gx_system.h.

## mute

bool gx_system::CmdlineOptions::mute

private

Definition at line 433 of file gx_system.h.

Referenced by get_mute().

## no_warn_latency

bool gx_system::CmdlineOptions::no_warn_latency

Definition at line 465 of file gx_system.h.

## nogui

bool gx_system::CmdlineOptions::nogui

private

Definition at line 427 of file gx_system.h.

Referenced by get_nogui().

## old_user_dir

std::string gx_system::CmdlineOptions::old_user_dir

private

Definition at line 419 of file gx_system.h.

Referenced by get_old_user_dir().

## onlygui

bool gx_system::CmdlineOptions::onlygui

private

Definition at line 430 of file gx_system.h.

## optgroup_debug

Glib::OptionGroup gx_system::CmdlineOptions::optgroup_debug

private

Definition at line 402 of file gx_system.h.

## optgroup_file

Glib::OptionGroup gx_system::CmdlineOptions::optgroup_file

private

Definition at line 401 of file gx_system.h.

## optgroup_jack

Glib::OptionGroup gx_system::CmdlineOptions::optgroup_jack

private

Definition at line 399 of file gx_system.h.

## optgroup_overload

Glib::OptionGroup gx_system::CmdlineOptions::optgroup_overload

private

Definition at line 400 of file gx_system.h.

## optgroup_style

Glib::OptionGroup gx_system::CmdlineOptions::optgroup_style

private

Definition at line 398 of file gx_system.h.

## path_to_program

std::string gx_system::CmdlineOptions::path_to_program

private

Definition at line 403 of file gx_system.h.

Referenced by get_path_to_program().

## pixmap_dir

std::string gx_system::CmdlineOptions::pixmap_dir

private

Definition at line 418 of file gx_system.h.

Referenced by get_pixmap_filepath().

## plugin_dir

std::string gx_system::CmdlineOptions::plugin_dir

private

Definition at line 424 of file gx_system.h.

Referenced by get_plugin_dir(), get_plugin_filepath(), and set_plugin_dir().

## pluginpreset_dir

std::string gx_system::CmdlineOptions::pluginpreset_dir

private

Definition at line 421 of file gx_system.h.

Referenced by get_pluginpreset_dir(), get_pluginpreset_filepath(), and set_pluginpreset_dir().

## preset_dir

std::string gx_system::CmdlineOptions::preset_dir

private

Definition at line 420 of file gx_system.h.

Referenced by get_preset_dir(), get_preset_filepath(), and set_preset_dir().

## preset_window_height

int gx_system::CmdlineOptions::preset_window_height

Definition at line 463 of file gx_system.h.

## rcset

Glib::ustring gx_system::CmdlineOptions::rcset

private

Definition at line 426 of file gx_system.h.

Referenced by get_rcset().

## reload_lv2_presets

bool gx_system::CmdlineOptions::reload_lv2_presets

Definition at line 475 of file gx_system.h.

## rpcaddress

Glib::ustring gx_system::CmdlineOptions::rpcaddress

private

Definition at line 429 of file gx_system.h.

Referenced by get_rpcaddress(), and set_rpcaddress().

## rpcport

int gx_system::CmdlineOptions::rpcport

private

Definition at line 428 of file gx_system.h.

Referenced by get_rpcport(), and set_rpcport().

## setbank

Glib::ustring gx_system::CmdlineOptions::setbank

private

Definition at line 434 of file gx_system.h.

Referenced by get_setbank().

## skin

SkinHandling gx_system::CmdlineOptions::skin

Definition at line 453 of file gx_system.h.

Referenced by get_current_style_cssfile().

## sporadic_overload

int gx_system::CmdlineOptions::sporadic_overload

private

Definition at line 439 of file gx_system.h.

Referenced by get_sporadic_overload().

## style_dir

std::string gx_system::CmdlineOptions::style_dir

private

Definition at line 416 of file gx_system.h.

Referenced by get_style_dir(), and get_style_filepath().

## system_animations

bool gx_system::CmdlineOptions::system_animations

Definition at line 469 of file gx_system.h.

## system_midiout

bool gx_system::CmdlineOptions::system_midiout

Definition at line 473 of file gx_system.h.

## system_order_rack_h

bool gx_system::CmdlineOptions::system_order_rack_h

Definition at line 466 of file gx_system.h.

## system_show_presets

bool gx_system::CmdlineOptions::system_show_presets

Definition at line 470 of file gx_system.h.

## system_show_rack

bool gx_system::CmdlineOptions::system_show_rack

Definition at line 472 of file gx_system.h.

## system_show_toolbar

bool gx_system::CmdlineOptions::system_show_toolbar

Definition at line 471 of file gx_system.h.

## system_show_tooltips

bool gx_system::CmdlineOptions::system_show_tooltips

Definition at line 468 of file gx_system.h.

## system_show_value

bool gx_system::CmdlineOptions::system_show_value

Definition at line 467 of file gx_system.h.

## system_tuner_midiout

bool gx_system::CmdlineOptions::system_tuner_midiout

Definition at line 474 of file gx_system.h.

## temp_dir

std::string gx_system::CmdlineOptions::temp_dir

private

Definition at line 423 of file gx_system.h.

Referenced by get_temp_dir(), get_temp_filepath(), and set_temp_dir().

## tuner_ref

Glib::ustring gx_system::CmdlineOptions::tuner_ref

private

Definition at line 438 of file gx_system.h.

Referenced by get_tuner_ref().

## tuner_tet

Glib::ustring gx_system::CmdlineOptions::tuner_tet

private

Definition at line 437 of file gx_system.h.

Referenced by get_tuner_tet().

## version

bool gx_system::CmdlineOptions::version

private

Definition at line 404 of file gx_system.h.

## watchdog_warning

bool gx_system::CmdlineOptions::watchdog_warning

private

Definition at line 442 of file gx_system.h.

Referenced by get_watchdog_warning().

## window_height

int gx_system::CmdlineOptions::window_height

Definition at line 462 of file gx_system.h.

## xrun_watchdog

bool gx_system::CmdlineOptions::xrun_watchdog

private

Definition at line 443 of file gx_system.h.

Referenced by get_xrun_watchdog().

The documentation for this class was generated from the following file:

- src/headers/gx_system.h